import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.jinsight.jetchart.*;
import java.awt.Toolkit;

public class Main extends JFrame  {

    public Main() {
	
	setTitle("The JetChart Library - XY image chart example");

	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent evt) {
		    System.exit(0);
		}
	    });
	
	ScatterGraph sg=new ScatterGraph();
	
	setChartProperties(sg);
	
	double[][] values={{100,80},{50,-120},{30,-40},{-65,80},{-40,30},{-70,-65}};

	XYImageSerie xy=new XYImageSerie(values);
	
	Image img1=Toolkit.getDefaultToolkit().getImage("img1.gif");
	Image img2=Toolkit.getDefaultToolkit().getImage("img2.gif");
	Image img3=Toolkit.getDefaultToolkit().getImage("img3.gif");
	Image img4=Toolkit.getDefaultToolkit().getImage("img4.gif");
	Image img5=Toolkit.getDefaultToolkit().getImage("img5.gif");
	Image img6=Toolkit.getDefaultToolkit().getImage("img6.gif");


	Image[] images={img1,img2,img3,img4,img5,img6};

	xy.setImages(images);
	
	sg.addSerie(xy);

	getContentPane().add("Center",sg);

	setSize(500,400);

	setVisible(true);

    }

    private void setChartProperties(ScatterGraph sg) {

	sg.setTitle(new String[]{"The JetChart Library","XY image chart example"});
	sg.getToolTip().setEnabled(true);

	Scale vScale=sg.getVScale();
	vScale.setAutoScaleEnabled(false);
	vScale.setMaxValue(150);
	vScale.setMinValue(-150);
	vScale.setIncrement(40);
	vScale.setPosition(Scale.LEFT_RIGHT);
	vScale.setValueFormat("###,###");
	
	Scale hScale=sg.getHScale();
	hScale.setAutoScaleEnabled(false);
	hScale.setMaxValue(150);
	hScale.setMinValue(-150);
	hScale.setIncrement(40);

	hScale.setPosition(Scale.TOP_BOTTOM);
	hScale.setValueFormat("###,###");

	Grid grid=sg.getGrid();
	grid.setEnabled(true);
	grid.setColor(Color.gray);
	grid.setStyle(Grid.DASHED);
	grid.setDashSize(1);

	GridCrossedLines gc=sg.getGridCrossedLines();
	gc.setEnabled(true);
	gc.setColor(Color.gray);
	gc.setStyle(GridCrossedLines.DASHED);
        gc.setDashSize(1);

        Quadrant q1=sg.getQuadrant(1);
	q1.setColor(new Color(195,229,195));
        q1.setTitle("First Quadrant");

        Quadrant q2=sg.getQuadrant(2);
	q2.setColor(new Color(229,226,195));
        q2.setTitle("Second Quadrant");

        Quadrant q3=sg.getQuadrant(3);
	q3.setColor(new Color(195,229,221));
        q3.setTitle("Third Quadrant");

        Quadrant q4=sg.getQuadrant(4);
	q4.setColor(new Color(195,197,229));
        q4.setTitle("Fourth Quadrant");


    }
		

    public static void main(String[] args) {
	new Main();
    }
}
	
